Bug 107976 - high CPU utilization with transparent effect
high CPU utilization with transparent effect
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2003-10-25 09:29 EDT by MORAIN Lionel
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-13 23:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MORAIN Lionel 2003-10-25 09:29:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
When using the transparent effect in the gnome-terminal profil with a black
screen whitout picture, very high CPU utilization, if I disable this effect or
set a background picture (PNG), the CPU is restored !

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.unset background picture and just have a black background
2.run the gnome-terminal
3.set the transparent effect

Actual Results:  High CPU utilization

Additional info:
Comment 1 Warren Togami 2004-04-13 23:56:20 EDT
This is not a bug of gnome-terminal, but rather a limitation of X.

Follow this upstream development project that may one day give us
"alpha blending" type wicked cool effects like this.  After xorg gains
this feature in the future, I suspect software like gnome-terminal may
need modification usptream to support it.  Talk to the upstream
authors at that time.
Comment 2 Colin Charles 2004-08-19 10:07:59 EDT
I cannot reproduce this with vte-0.11.10-7 and gnome-terminal-2.7.3-1
and xorg-x11- 

 gconftool-2 -R /desktop/gnome/background
 color_shading_type = vertical-gradient
 secondary_color = #687096
 primary_color = #8A94C6
 picture_filename = /usr/share/backgrounds/images/default.png
 picture_options = none
 picture_opacity = 100
 draw_background = true

So looks like its definitely notabug.

Note You need to log in before you can comment on or make changes to this bug.